2018-07-16 04:32 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004663Kali Linux[All Projects] Kali Package Bugpublic2018-04-02 21:10
Reporterpbr0ck3r 
Assigned Torhertzog 
PrioritynormalSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2018.1 
Target VersionFixed in Version 
Summary0004663: Uname -r does not match pacakge versions.
DescriptionRunning `uname -r` returns `4.14.0.kali3-amd64`

But when installing the following package `apt-get install realtek-rtl88xxau-dkms` it has a dependency of `linux-headers-4.14.0.kali3-amd64`. But the only linux headers installed on kali and available via the rolling repo (etc/apt/sources) are `4.15.0-kali2`.

I believe that this is a bug. The uname -r should be returning `4.15.0-kali2-amd64` instead of `
Steps To ReproduceRun `uname -r`
Run `apt-get install realtek-rtl88xxau-dkms`
It will break cause the dependency of `linux-headers-4.14.0.kali3-amd64` is not installed
Run `apt-cache search linux-headers` and all that is returned is `linux-headers-4.15.0-*`
Attached Files

-Relationships
+Relationships

-Notes

~0008984

rhertzog (administrator)

This should be fixed (in a few hours at most) as the linux-headers-amd64 now pulls the 4.15 package.
+Notes

-Issue History
Date Modified Username Field Change
2018-04-02 17:51 pbr0ck3r New Issue
2018-04-02 21:10 rhertzog Assigned To => rhertzog
2018-04-02 21:10 rhertzog Status new => resolved
2018-04-02 21:10 rhertzog Resolution open => fixed
2018-04-02 21:10 rhertzog Note Added: 0008984
+Issue History